
Name:          paranamer
Version:       2.3
Release:       %mkrel 1
Summary:       Method parameter name access
Group:         Development/Java
License:       BSD
Url:           http://paranamer.codehaus.org/
# git clone git://git.codehaus.org/paranamer-git.
# git archive --format=tar --prefix=paranamer-2.3/ paranamer-2.3 | xz > paranamer-2.3-src-git.tar.xz
Source0:       paranamer-2.3-src-git.tar.xz
Patch0:        paranamer-2.3-parent-pom.patch
Patch1:        paranamer-2.3-distribution-no-xsite-plugin.patch
Patch2:        paranamer-2.3-paranamer-pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: codehaus-parent

BuildRequires: ant
BuildRequires: atinject
BuildRequires: jmock2
BuildRequires: junit4
BuildRequires: objectweb-asm
BuildRequires: qdox

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-surefire-provider-junit4 
# org.codehaus.xsite xsite-maven-plugin 1.0

Requires:      codehaus-parent
Requires:      ant
Requires:      atinject
Requires:      jmock2
Requires:      objectweb-asm
Requires:      qdox

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Paranamer is a library that allows the parameter names of
non-private methods and constructors to be accessed at
runtime.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n paranamer-%{version}

%patch0 -p0
%patch1 -p0
%patch2 -p0
# disable ... require xsite-maven-plugin
sed -i 's|<module>paranamer-distribution</module>|<!--module>paranamer-distribution</module-->|' pom.xml

sed -i 's|<module>paranamer-integration-tests</module>|<!--module>paranamer-integration-tests</module-->|' pom.xml

%build

mvn-rpmbuild \
  -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}/target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 %{name}-ant/target/%{name}-ant-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ant.jar
install -pm 644 %{name}-generator/target/%{name}-generator-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-generator.jar
install -pm 644 %{name}-maven-plugin/target/%{name}-maven-plugin-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-maven-plugin.jar
#install -pm 644 %{name}-integration-tests/it-011/target/%{name}-it-011-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-it-011.jar

# APIDOCS ,it-011
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/{core,ant,generator,maven-plugin}
cp -pr %{name}/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/core
cp -pr %{name}-ant/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/ant
cp -pr %{name}-generator/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/generator
cp -pr %{name}-maven-plugin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/maven-plugin
#cp -pr %{name}-integration-tests/it-011/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/it-011

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 %{name}-ant/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-ant.pom
install -pm 644 %{name}-generator/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-generator.pom
install -pm 644 %{name}-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-maven-plugin.pom
#install -pm 644 %{name}-integration-tests/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-integration-tests.pom
#install -pm 644 %{name}-integration-tests/it-011/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-it-011.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-ant.pom %{name}-ant.jar
%add_maven_depmap JPP-%{name}-generator.pom %{name}-generator.jar
%add_maven_depmap JPP-%{name}-maven-plugin.pom %{name}-maven-plugin.jar
#add_maven_depmap JPP-%{name}-integration-tests.pom
#add_maven_depmap JPP-%{name}-it-011.pom %{name}-it-011.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 dmorgan <dmorgan> 2.3-1.mga2
+ Revision: 157130
- Fix buildrequires

  + gil <gil>
    - imported package paranamer

